@import '../../../../styles/mixins';
@import '../../../../styles/props';

:host {
  position: relative;
  display: inline-block;
}

// select control
.app-select-control {
  position: relative;
  cursor: pointer;

  input {
    @include ellipsis;
    @include paddingRight(31px);
    pointer-events: none;
    width: 100%;
  }

  .app-icon {
    @include topRight;
    @include flex(center, center);
    @include padding($field-padding);
    position: absolute;
    height: 100%;

    ::ng-deep {
      path {
        fill: $havelock-blue;
      }
    }
  }
}

// options
.app-options {
  position: absolute;
  background-color: $white;
  box-shadow: $modal-shadow;
  width: 100%;
  max-height: calc(#{$field-height} * #{$field-option-count});
  overflow: auto;
  z-index: 5;

  &::-webkit-scrollbar {
    width: 5px;
  }

  &::-webkit-scrollbar-track {
    width: 5px;
  }

  &::-webkit-scrollbar-thumb {
    background-color: rgba($havelock-blue, 0.3);
  }
}

// option item
.app-option-item {
  @include flex(center);
  @include padding($field-padding);
  width: 100%;
  cursor: pointer;
  height: $field-height;
  font-size: $field-font-size;
  transition: background-color $field-transition-duration;

  // hover
  &:hover {
    background-color: rgba($primary, 0.15);
  }

  // focus
  &.app-focus {
    color: $primary;
  }

  &.top {
    bottom: 100%;
  }

  &.bottom {
    top: 100%;
  }

  &.left {
    right: 0;
  }

  &.right {
    left: 0;
  }
}
